# H323AudioPluginCapability Class Reference

`#include <opalpluginmgr.h>`

Inheritance diagram for H323AudioPluginCapability:

[legend]
Collaboration diagram for H323AudioPluginCapability:
[legend]

## Public Member Functions

| H323AudioPluginCapability (const PluginCodec_Definition *codecDefn, const OpalMediaFormat &mediaFormat, unsigned pluginSubType)
virtual PObject * | Clone () const
virtual PString | GetFormatName () const
virtual unsigned | GetSubType () const

## Protected Attributes

unsigned | pluginSubType

## Constructor & Destructor Documentation

H323AudioPluginCapability::H323AudioPluginCapability | ( | const PluginCodec_Definition * | codecDefn,
|  | const OpalMediaFormat & | mediaFormat,
|  | unsigned | pluginSubType |
| ) |  |  |

## Member Function Documentation

virtual PObject* H323AudioPluginCapability::Clone | ( |  | ) | const`[virtual]`

Reimplemented in H323PluginG7231Capability.

virtual PString H323AudioPluginCapability::GetFormatName | ( |  | ) | const`[virtual]`

Reimplemented from H323PluginCapabilityInfo.

virtual unsigned H323AudioPluginCapability::GetSubType | ( |  | ) | const`[virtual]`

Get the sub-type of the capability. This is a code dependent on the main type of the capability.

Implements H323Capability.

## Field Documentation

unsigned H323AudioPluginCapability::pluginSubType `[protected]`

The documentation for this class was generated from the following file:

- opalpluginmgr.h